org.apache.ignite.internal

## Class TransactionMetricsMxBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.TransactionMetricsMxBeanImpl

All Implemented Interfaces:
  Serializable, TransactionMetricsMxBean, TransactionMetrics

    public class TransactionMetricsMxBeanImpl
    extends Object
    implements TransactionMetricsMxBean

Transactions MXBean implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionMetricsMxBeanImpl()` Create TransactionMetricsMxBeanImpl.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `commitTime()` Gets last time transaction was committed.
`Map<String,String>` `getAllOwnerTransactions()` All near transactions
`long` `getLockedKeysNumber()` The number of keys locked on the node.
`Map<String,String>` `getLongRunningOwnerTransactions(int duration)` Long running near transactions
`long` `getOwnerTransactionsNumber()` The number of active transactions for which this node is the initiator.
`long` `getTransactionsCommittedNumber()` The number of transactions which were committed.
`long` `getTransactionsHoldingLockNumber()` The number of active transactions holding at least one key lock.
`long` `getTransactionsRolledBackNumber()` The number of transactions which were rollback.
`long` `rollbackTime()` Gets last time transaction was rollback.
`int` `txCommits()` Gets total number of transaction commits.
`int` `txRollbacks()` Gets total number of transaction rollbacks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionMetricsMxBeanImpl

    public TransactionMetricsMxBeanImpl()

Create TransactionMetricsMxBeanImpl.

### Method Detail

#### commitTime

    public long commitTime()

Gets last time transaction was committed.

Specified by:
  `commitTime` in interface `TransactionMetrics`
Returns:
  Last commit time.

#### rollbackTime

    public long rollbackTime()

Gets last time transaction was rollback.

Specified by:
  `rollbackTime` in interface `TransactionMetrics`
Returns:
  Last rollback time.

#### txCommits

    public int txCommits()

Gets total number of transaction commits.

Specified by:
  `txCommits` in interface `TransactionMetrics`
Returns:
  Number of transaction commits.

#### txRollbacks

    public int txRollbacks()

Gets total number of transaction rollbacks.

Specified by:
  `txRollbacks` in interface `TransactionMetrics`
Returns:
  Number of transaction rollbacks.

#### getAllOwnerTransactions

    public Map<String,String> getAllOwnerTransactions()

All near transactions

Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetricsMxBean`
Specified by:
  `getAllOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getLongRunningOwnerTransactions

    public Map<String,String> getLongRunningOwnerTransactions(int duration)

Long running near transactions

Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetricsMxBean`
Specified by:
  `getLongRunningOwnerTransactions` in interface `TransactionMetrics`
Returns:
  near transactions.

#### getTransactionsCommittedNumber

    public long getTransactionsCommittedNumber()

The number of transactions which were committed.

Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsCommittedNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were committed.

#### getTransactionsRolledBackNumber

    public long getTransactionsRolledBackNumber()

The number of transactions which were rollback.

Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsRolledBackNumber` in interface `TransactionMetrics`
Returns:
  number of transactions which were rollback.

#### getTransactionsHoldingLockNumber

    public long getTransactionsHoldingLockNumber()

The number of active transactions holding at least one key lock.

Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getTransactionsHoldingLockNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions holding at least one key lock.

#### getLockedKeysNumber

    public long getLockedKeysNumber()

The number of keys locked on the node.

Specified by:
  `getLockedKeysNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getLockedKeysNumber` in interface `TransactionMetrics`
Returns:
  number of keys locked on the node.

#### getOwnerTransactionsNumber

    public long getOwnerTransactionsNumber()

The number of active transactions for which this node is the initiator.

Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetricsMxBean`
Specified by:
  `getOwnerTransactionsNumber` in interface `TransactionMetrics`
Returns:
  number of active transactions for which this node is the initiator.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018